package org.diagbot.graphWeb.work;

import org.diagbot.common.work.FeatureRate;
import org.diagbot.common.work.ResponseData;
import org.diagbot.common.work.SearchData;
import org.diagbot.pub.api.Response;
import org.diagbot.pub.utils.PropertiesUtil;
import org.diagbot.pub.utils.http.HttpApi;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * 推送诊断和治疗方案
 */
public class DiseaseCalculate {
    public ResponseData getDisease(HttpServletRequest request, SearchData searchData) throws Exception {
        ResponseData responseData = new ResponseData();
        PropertiesUtil propertiesUtil = new PropertiesUtil("url.properties");
        //调用图谱API
        HttpApi<ResponseData> api = new HttpApi<>();
        ResponseData diseaseResponse = api.doPost(propertiesUtil.getProperty("disease.http.url"), searchData,
                ResponseData.class);
        //走诊断推送
        List<FeatureRate> dis = (List<FeatureRate>)diseaseResponse.getDis();
        List<FeatureRate> diseaseName = new ArrayList<>();
        for (FeatureRate d:dis) {
            FeatureRate featureRate = new FeatureRate();
            featureRate.setFeatureName(d.getFeatureName());
            featureRate.setExtraProperty(d.getExtraProperty());
            featureRate.setDesc(d.getDesc());
            featureRate.setRate(d.getRate());
            diseaseName.add(featureRate);
        }
        //走治疗推送
        String webDiag = searchData.getDiag();
        if(webDiag.trim()!=null && Arrays.asList(searchData.getFeatureTypes()).contains("8")){

        }
        responseData.setDis(diseaseName);
        return responseData;
    }
}
